/lng_feed_gas#
Fetch daily LNG feed gas deliveries by terminal
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/lng_feed_gas |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/lng_feed_gas" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
lng_feed_gas_resp = hyperion_api_client.lng_feed_gas()
lng_feed_gas_df = lng_feed_gas_resp.df()
lng_feed_gas_df.head()
# Example of a Windows PowerShell request to the lng_feed_gas endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/lng_feed_gas' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
gas_day_max |
string |
End of gas day range (inclusive) |
2024-01-31 |
gas_day_min |
string |
Start of gas day range (inclusive) |
2024-01-01 |
terminal_name |
string array |
LNG terminal name |
Sabine Pass |
updated_at_max |
string |
Only include rows updated at or before this timestamp, in ISO 8601 format (YYYY-MM-DDTHH:MM:SS) |
2024-01-31T23:59:59 |
updated_at_min |
string |
Only include rows updated at or after this timestamp, in ISO 8601 format (YYYY-MM-DDTHH:MM:SS) |
2024-01-15T00:00:00 |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
feed_gas_bcf_day |
number |
Daily feed gas deliveries in Bcf/d |
2.1 |
gas_day |
string |
Gas day for the feed gas observation |
2024-01-15 |
terminal_name |
string |
LNG terminal name |
Sabine Pass |
updated_at |
string |
Last update timestamp in ISO 8601 format (YYYY-MM-DDTHH:MM:SS) |
2024-01-15T00:00:00 |
Normal Output#
gas_day |
terminal_name |
feed_gas_bcf_day |
updated_at |
|---|---|---|---|
2024-01-25 |
Cove Point |
0.8073 |
2026-08-19T17:10:54.313668+00:00 |
2024-01-25 |
Freeport |
0.0 |
2026-08-19T17:10:54.313673+00:00 |
2024-01-26 |
Sabine Pass |
5.010002999999999 |
2026-08-19T17:10:54.313679+00:00 |
2024-01-26 |
Elba Island |
0.396543 |
2026-08-19T17:10:54.313685+00:00 |
2024-01-26 |
Cameron |
2.343374 |
2026-08-19T17:10:54.313691+00:00 |
2024-01-26 |
Calcasieu Pass |
1.8173489999999999 |
2026-08-19T17:10:54.313698+00:00 |
2024-01-26 |
Corpus Christi |
0.0 |
2026-08-19T17:10:54.313703+00:00 |
2024-01-26 |
Cove Point |
0.807294 |
2026-08-19T17:10:54.313709+00:00 |
2024-01-26 |
Freeport |
0.0 |
2026-08-19T17:10:54.313715+00:00 |
2024-01-27 |
Sabine Pass |
5.205807 |
2026-08-19T17:10:54.313721+00:00 |